	function xmlhttp()
	{
		var A=null;
		try
		{
			A=new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch(e)
		{
			try
			{
				A=new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch(oc)
			{
				if (typeof XMLHttpRequest != "undefined" );
				{
					A=new XMLHttpRequest();
				}
			}
		}
		return A;
	}

	function getAjaxData(url,func,name,kind,obj,desc,btype)
	{
		if(btype==undefined)
			btype=true;
		var oXmlHttp = xmlhttp();
		try 
		{
			oXmlHttp.open("GET", url,btype);
			oXmlHttp.setRequestHeader("If-Modified-Since","0");
			oXmlHttp.onreadystatechange = function()
			{
				try{
					if(oXmlHttp.status == 200)
					{
					var returnVal=oXmlHttp.responseText;
							func('isback',name,kind,returnVal,desc);
					
					}
				}catch(e){}
			};
			oXmlHttp.send(null);
		
		} catch (e) {
		}
	}
	function getAjax(url,btype)
	{
		if(btype==undefined)
			btype=true;
		var oXmlHttp = xmlhttp();
		try 
		{
			oXmlHttp.open("GET", url,btype);
			oXmlHttp.setRequestHeader("If-Modified-Since","0");
			oXmlHttp.onreadystatechange = function()
			{
				try{
					if(oXmlHttp.status == 200)
					{
					var returnVal=oXmlHttp.responseText;
					if (returnVal!=null)
                     alert(returnVal);					
					}
				}catch(e){}
			};
			oXmlHttp.send(null);
		
		} catch (e) {
		}
	}
		function Ajax(url,btype)
	{
		if(btype==undefined)
			btype=true;
		var oXmlHttp = xmlhttp();
		try 
		{
			oXmlHttp.open("GET", url,btype);
			oXmlHttp.onreadystatechange = function()
			{
				try{
					if(oXmlHttp.status == 200)
					{
					var returnVal=oXmlHttp.responseText;
				
										}
				}catch(e){}
			};
			oXmlHttp.send(null);
		
		} catch (e) {
		}
	}
	function getAjaxData2(objid,url,btype)
	{
			if(btype==undefined)
					btype=true;
			var oXmlHttp = xmlhttp();
			//if(objid)
			//	objid.innerHTML='ÕýÔÚ¼ÓÔØ...';
			try 
			{
					oXmlHttp.open("GET", url,btype);
					oXmlHttp.onreadystatechange = function()
					{
							try{
									if(oXmlHttp.status == 200)
									{
									alert(oXmlHttp.responseText);
									}
							}catch(e){}
					};
					oXmlHttp.send(null);
			
			} catch (e) {
			}
	}

	function postAjaxData(url,content,func,btype)
	{
		if(btype==undefined)
			btype=true;
		var oXmlHttp = xmlhttp();
		
		try 
		{
			oXmlHttp.open("POST", url,btype);
			oXmlHttp.onreadystatechange = function()
			{
				try{
					if(oXmlHttp.status == 200)
					{
						var returnVal=oXmlHttp.responseText;
						func('backmh',returnVal);
					}
				}catch(e){}
			};
			oXmlHttp.setrequestheader("content-type","application/x-www-form-urlencoded");
			oXmlHttp.send(content);
		
		} catch (e) {
		}
	}
